Redmine - Defect #632

Theme discovery doesn't work under JRuby on Rails war structure
Status: Closed Start date: 2008-02-12
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Ruby support Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

themes.rb makes an assumption that the themes css files will be located in the public folder which is at the same level as the app
folder. However, in a JRuby on Rails war structure, the public files are actually located in the root of the WAR, whereas most of the
other rails app components are under \WEB_INF.

A workaround is to copy the themes folder into \WEB_INF\public which allows the theme discovery to work.

Related issues:
Related to Redmine - Patch #5404: Fix Redmine tests for JRuby 1.4.x and 1.5.0 Closed 2010-04-29

Associated revisions

Revision 3710 - 2010-04-30 14:44 - Jean-Philippe Lang
Fixes theme discovery under JRuby on Rails war structure (#632, #5404).

History

#1 - 2011-03-23 09:30 - Toshi MARUYAMA
- Category changed from Ul to Ruby support

#2 - 2018-10-09 15:08 - Marius BALTEANU

- Status changed from New to Closed
